curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/course-sequence/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"subject": "Reading",
"title": "<string>",
"author": "jsmith@example.com",
"status": "draft",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"stages": [
{
"id": "<string>",
"title": "<string>",
"grades": [
"-1"
],
"subject": "Reading",
"type": "course",
"properties": {
"courseReferences": [
{
"courseId": "<string>",
"refAddedAt": "2023-11-07T05:31:56Z"
}
],
"testTypes": [
"test_out"
],
"learningAppId": "<string>",
"assessmentSource": "mastery"
}
}
],
"description": "<string>"
}Returns a single course sequence (CourseSequence object). Details contain stages.
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/course-sequence/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"subject": "Reading",
"title": "<string>",
"author": "jsmith@example.com",
"status": "draft",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"stages": [
{
"id": "<string>",
"title": "<string>",
"grades": [
"-1"
],
"subject": "Reading",
"type": "course",
"properties": {
"courseReferences": [
{
"courseId": "<string>",
"refAddedAt": "2023-11-07T05:31:56Z"
}
],
"testTypes": [
"test_out"
],
"learningAppId": "<string>",
"assessmentSource": "mastery"
}
}
],
"description": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier (UUID)
Course Sequence Details
The unique identifier of the course sequence
The subject of the course sequence.
Reading, Language, Vocabulary, Social Studies, Writing, Science, FastMath, Math, None, Other The title of the course sequence.
1 - 255The author of the course sequence.
The adoption status of the course sequence.
draft, active, retired, tobedeleted The timestamp when the adoption status was last updated.
Z$The ordered list of stages in the course sequence.
Show child attributes
The description of the course sequence.
1024